/**
 * Copyright (c) 2008 Sonatype, Inc. All rights reserved.
 *
 * This program is licensed to you under the Apache License Version 2.0,
 * and you may not use this file except in compliance with the Apache License Version 2.0.
 * You may obtain a copy of the Apache License Version 2.0 at http://www.apache.org/licenses/LICENSE-2.0.
 *
 * Unless required by applicable law or agreed to in writing,
 * software distributed under the Apache License Version 2.0 is distributed on an
 * "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the Apache License Version 2.0 for the specific language governing permissions and limitations there under.
 */
package org.codehaus.plexus.swizzle.jira.project;

/**
 * @author <a href="mailto:jason@maven.org">Jason van Zyl</a>
 * @version $Id: ProjectRecord.java 697 2009-01-07 17:34:25Z juven $
 */
public class ProjectRecord
{
    private String key;
    
    private String name;

    private String description;

    private String leadId;

    private String permissionSchemeId;

    private String notificationSchemeId;

    public ProjectRecord( String key, String name, String description, String leadId, String permissionSchemeId, String notificationSchemeId )
    {
        this.key = key;
        this.name = name;
        this.description = description;
        this.leadId = leadId;
        this.permissionSchemeId = permissionSchemeId;
        this.notificationSchemeId = notificationSchemeId;
    }

    public String getKey()
    {
        return key;
    }

    public String getName()
    {
        return name;
    }

    public String getDescription()
    {
        return description;
    }

    public String getLeadId()
    {
        return leadId;
    }

    public String getPermissionSchemeId()
    {
        return permissionSchemeId;
    }

    public String getNotificationSchemeId()
    {
        return notificationSchemeId;
    }
}
